> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import IdP groups

> Imports groups from an identity provider.



## OpenAPI

````yaml /reference/manage-vanta.json post /groups/import-from-idp
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /groups/import-from-idp:
    post:
      tags:
        - Groups
      summary: Import IdP groups
      description: Imports groups from an identity provider.
      operationId: ImportIdpGroups
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                idpGroupIds:
                  items:
                    type: string
                  type: array
                  description: IdP-group resource IDs to import.
                  minItems: 1
                  maxItems: 100
              required:
                - idpGroupIds
              type: object
      responses:
        '200':
          description: IdP groups imported
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportIdpGroupsResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ImportIdpGroupsResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/ImportIdpGroupResult'
          type: array
      required:
        - results
      type: object
      additionalProperties: false
    ImportIdpGroupResult:
      anyOf:
        - $ref: '#/components/schemas/ImportIdpGroupSuccess'
        - $ref: '#/components/schemas/ImportIdpGroupError'
    ImportIdpGroupSuccess:
      properties:
        idpGroupId:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
          nullable: false
        groupId:
          type: string
      required:
        - idpGroupId
        - status
        - groupId
      type: object
      additionalProperties: false
    ImportIdpGroupError:
      properties:
        idpGroupId:
          type: string
        status:
          type: string
          enum:
            - ERROR
          nullable: false
        reason:
          $ref: '#/components/schemas/ImportIdpGroupFailureReason'
        message:
          type: string
      required:
        - idpGroupId
        - status
        - reason
        - message
      type: object
      additionalProperties: false
    ImportIdpGroupFailureReason:
      enum:
        - NOT_FOUND
        - IMPORT_FAILED
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [List importable IdP groups](/api-reference/groups/list-importable-idp-groups.md)
- [List groups for an audit](/api-reference/audits/list-groups-for-an-audit.md)
- [List groups](/api-reference/groups/list-groups.md)
- [Create group](/api-reference/groups/create-group.md)
- [Get group by ID](/api-reference/groups/get-group-by-id.md)
